package com.xkrs.dao;

import com.xkrs.model.entity.SysAuthorityEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface SysAuthorityDao extends JpaRepository<SysAuthorityEntity, Long>, JpaSpecificationExecutor<SysAuthorityEntity> {

    /**
     * 根据id批量查询权限信息
     */
    List<SysAuthorityEntity> findAllByIdIn(List<Long> id);
}
